// 提供base64编码解码功能。
package base64

import "encoding/base64"

// 采用标准Base64编码方式将字节数组转换为字符串。
func ToBase64(b []byte) string {
	return base64.StdEncoding.EncodeToString(b)
}

// 采用URL Encoding Base64编码方式将字节数组转换为字符串。
func ToBase64URLEncoded(b []byte) string {
	return base64.URLEncoding.EncodeToString(b)
}

// 采用标准Base64编码方式讲字符串转换为字节数组。
func FromBase64(s string) ([]byte, error) {
	return base64.StdEncoding.DecodeString(s)
}

// 采用URL Encoding Base64编码方式讲字符串转换为字节数组。
func FromBase64URLEncoded(s string) ([]byte, error) {
	return base64.URLEncoding.DecodeString(s)
}
